package = "ketracel"
version = "scm-1"
source = {
   url = "https://tulpa.dev/cadey/ketracel"
}
description = {
   homepage = "https://tulpa.dev/cadey/ketracel",
   license = "0bsd",
   summary = "a small security bot for ngircd",
   --labels = {
   --  "irc",
   --  "security"
   --}
}
dependencies = {
   "lua ~> 5.3",
   "irc-engine",
   "luasocket",
   "ln",
}
build = {
   type = "builtin",
   modules = {
     ["ketracel.bot.commands"] = "src/ketracel/bot/commands.lua",
     ["ketracel.bot.ketracel"] = "src/ketracel/bot/ketracel.lua",
     ["ketracel.main"] = "src/ketracel/main.lua",
     ["ketracel.server"] = "src/ketracel/server.lua",
     ["irce.modules.ngircd"] = "src/irce/modules/ngircd/init.lua",
     ["irce.modules.ngircd.modes"] = "src/irce/modules/ngircd/modes.lua",
     ["irce.modules.oper"] = "src/irce/modules/oper.lua",
   },
   install = {
     bin = {
       "bin/ketracel",
     }
   }
}

